<template>
  <div class="my-events">
    <EventCard v-for="(item, index) in myEvents" :key="index" :data="item"/>
    <span v-if="!myEvents || (myEvents && !myEvents.length)" :style="{margin: '0 auto'}">Empty</span>
  </div>
</template>
<script>
import { EVENTS } from '@/store/types'
import { mapGetters } from 'vuex'
import EventCard from '@/components/events/EventCard'
export default {
  name: 'ProfileMyEvents',
  components: {
    EventCard
  },
  computed: {
    ...mapGetters({
      myEvents: EVENTS.GETTER.GET_MY_EVENTS
    })
  },
  async mounted () {
    await this.$store.dispatch(EVENTS.ACTION.LOAD_MY_EVENTS)
  }
}
</script>
<style lang="scss" scoped>
.my-events {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  gap: 30px;
}
</style>
